Instruments creation & configuration
07/05/2016 02:51 pm - Paul Carensac

Status: Nouveau Start date: 07/05/2016
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 8.00 hours
Target version: Version 0.10 - Environment Monitoring 0.1 (PLC)Spent time: 0.00 hour
Description

Configurer les instruments au lancement de la task (qui se lance au début du programme)

History
#1 - 07/05/2016 04:37 pm - Paul Carensac
- Subject changed from Instruments configuration to Instruments creation & configuration

On crée les instruments en global et on les configure.

#2 - 07/05/2016 05:47 pm - Paul Carensac

GROS SOUCI : Comment je fais pour donner l'accès à la communication avec les instruments partout dans mon code ? Tous les modules tournent
dans des process différents ...
Une possibilité serait de faire l'initialisation de la connection au début du monitoring, puis chaque task qui en a besoin crée les objets, et récupèrent les
identifiants de la communication dans la DB.
Second possibilité : la communication avec les instruments est gérée par une queue qui reçoit une task d'initialisation (qui crée donc les objets en
global), puis des tâches de communication comportant 1-le nom du device, 2-le type de message et 3-les paramètres, et renvoie le retour du device.

#3 - 07/05/2016 06:06 pm - Paul Carensac

Une autre possibilité est d'avoir des pool de connections via rabbitMQ ou redis (ou même la DB).

#4 - 09/23/2016 02:44 pm - Jeremy Barneron
- Parent task set to #4200

#5 - 09/30/2016 10:04 am - Jeremy Barneron
- Parent task changed from #4200 to #4269

#6 - 10/06/2016 03:56 pm - Jeremy Barneron
- Estimated time set to 8.00
